CNAF - Bug #930

ESS Pilihan isi Delegate to tidak sesuai dengan Divisi pada OM
02/24/2022 10:07 PM - dian perdana putra

Status: Closed Start date: 02/24/2022
Priority: High Due date:

Assignee: dian perdana putra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

Dear Tim Developer

Mohon di bantu mengenai case ini
ESS Pilihan isi Delegate to tidak sesuai dengan Divisi pada OM

informasi User klien Igbal
Tidak sesuai dengan OM & Sudah Melakukan OM Recap

Informasi Dari Mbak kezia biasanya ada settingan khusus tiap" klient berbeda tidak mengikuti OM atau OM Recap.
APP HR :http://remote.minovais.com:10019

APP ESS: http://remote.minovais.com:7007
Server : 192.168.3.105

History

#1 - 02/25/2022 11:33 AM - Saswanto Tampan
- Status changed from New to QA Test

- Assignee changed from Saswanto Tampan to dian perdana putra

Berdasarkan hasil infestigasi FBI dan CIA, melalui pemeriksaan pada table wf_cust_parameter dengan ID = '##Autofill_leave_delegate' maka di
temukan query sebagai berikut :

DECLARE @emp_id AS VARCHAR = '00005168'
DECLARE @delegate_id AS VARCHAR

DECLARE @delegate_name AS VARCHAR

DECLARE @subordinate AS INT

SELECT @subordinate = COUNT

FROM dbo.hr_bi_emp_om_recap AS rc WITH ( NOLOCK )
WHERE rc.ds1_id = @emp_id

SELECT rec1.”

FROM dbo.hr_bi_emp_om_recap rec WITH ( NOLOCK)
JOIN dbo.hr_bi_emp_om_recap rec1 WITH ( NOLOCK )

ON rec1.landscape = rec.landscape

AND (rec1.ds1_id = rec.ds1_id OR rec1.emp_id = rec.ds1_id )
AND rec1.emp_id <> rec.emp_id

AND rec.is_head > 0

AND reci.is_head >0

AND rec1.is_terminate <> '1'

WHERE rec.landscape = '100'

AND rec.emp_id = @emp_id

AND 0 < @subordinate

yang artinya secara defakio menyatakan bahwa data delegate to adalah data employee yang sejajar dengan employee login sera memiliki atasan

yang sama.
Artinya delget to tidak ke atasan, melainkan ke posisi yang sejajar atau jabatan yang sama

#2 - 03/18/2022 07:40 AM - Mr. Yusuf
- File CNAF_bitype.sql added

Saswanto Tampan wrote in #note-1:

Berdasarkan hasil infestigasi FBI dan CIA, melalui pemeriksaan pada table wf_cust_parameter dengan ID = '##Autofill_leave_delegate' maka di
temukan query sebagai berikut :

DECLARE @emp_id AS VARCHAR = '00005168'
DECLARE @delegate_id AS VARCHAR

DECLARE @delegate_name AS VARCHAR

DECLARE @subordinate AS INT

SELECT @subordinate = COUNT

FROM dbo.hr_bi_emp_om_recap AS rc WITH ( NOLOCK)
WHERE rc.ds1_id = @emp_id

SELECT rect.*

FROM dbo.hr_bi_emp_om_recap rec WITH ( NOLOCK))
JOIN dbo.hr_bi_emp_om_recap rec1 WITH ( NOLOCK )

ON rec1.landscape = rec.landscape

AND (rec1.ds1_id = rec.ds1_id OR rec1.emp_id = rec.ds1_id )
AND rec1.emp_id <> rec.emp_id

AND rec.is_head >0

AND rec1.is_head >0

AND rec1.is_terminate <> '1'

WHERE rec.landscape = '100'

AND rec.emp_id = @emp_id

AND 0 < @subordinate

yang artinya secara defakto menyatakan bahwa data delegate to adalah data employee yang sejajar dengan employee login sera memiliki
atasan yang sama.
Artinya delget to tidak ke atasan, melainkan ke posisi yang sejajar atau jabatan yang sama

TEMUAN:

1. Data delegasi diambil dari tabel hr_bi_emp_om_recap

2. tabel hr_bi_emp_om_recap digenerate MANUAL oleh menu OM Recap di HR Administration->Organization Management->Report OM->OM
Recap

3. Menu OM Recap menjalankan query di field query_list_ref pada tabel hr_bi_cust_bitype yg bi_table = 'hr_bi_emp_om_recap'

- baca @last_success dari field run_at di tabel sve_log_detail yg svc_type = 'EMP_OM_RECAP"

- baca ke hr_md_emp_md0002 yg last_change >= @last_success dan emp_id >= @object_from and emp_id <= @object_to
- setelah mendapatkan list employeenya, lalu dapatkan employee dibawahnya dengan memanggil GetObjectChildAll

- selanjutnya engine akan memperbaharui semua data list employee tersebut di tabel hr_bi_emp_om_recap

- karena generatenya MANUAL dari menu OM Recap, maka tidak menambah log di svc_log_detail

4. Penjelasannya:

- Artinya kalau last_change nya di hr_md_emp_md0002 < (lebih kecil dari) run_at di svc_log_detail terakhir, maka tidak akan terfilter employee
yg bersangkutan, walaupun di hr_bi_emp_om_recap datanya dihapus semua.

- alternatif solusinya:

SOLUSI PERTAMA: Generate Manual dengan Mengubah run_at di svc_log_detail sebelumnya.
1. DELETE FROM svc_log_detail WHERE (svc_type = 'EMP_OM_RECAP")
2. sisakan 1 record di svc_log_detail WHERE (svc_type = 'EMP_OM_RECAP")
100 EMP_OM_RECAP 20191212193151 S Success
3. Saat mau generate, ubah manual isi run_at menjadi tanggal sebelum last_change di hr_md_emp_md0002 untuk employee yg akan
disinkronkan.
4. Lalu Generate Manual OM RECAP dr menu OM RECAP
SOLUSI KEDUA: Cari backup Service OM RECAP & Install Service OM RECAP
SOLUSI KETIGA: Generate Manual dengan otomatis mengambil data yg lastchange nya sebulan terakhir
1. File di attachment diinput ke field query_list_ref pada tabel hr_bi_cust_bitype yg bi_table = 'hr_bi_emp_om_recap'
2. Lalu Generate Manual OM RECAP dr menu OM RECAP minimal sebulan sekali
Wassalam

#3 - 04/11/2022 01:07 PM - ikawati basri
- Status changed from QA Test to Closed

Files
clipboard-202202242150-vvmid.png 395 KB 02/24/2022 dian perdana putra
CNAF_bitype.sq| 2.24 KB 03/18/2022 Mr. Yusuf
